Company logoTrust Center Documentation
API v1 ReferenceIntegrationsSlackInteractions

Receive Slack interactions

Validates the Slack request signature and forwards interaction payloads to the jobs service. `view_submission` interactions return a JSON clear response;…

Validates the Slack request signature and forwards interaction payloads to the jobs service. view_submission interactions return a JSON clear response; other interaction types return HTTP 200 with an empty body.

POST
/api/v1/integrations/slack/interactions

Header Parameters

x-slack-signature*string
x-slack-request-timestamp*string

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

payload*string

JSON-stringified Slack interaction payload.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/integrations/slack/interactions" \  -H "x-slack-signature: string" \  -H "x-slack-request-timestamp: string" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'payload=string'
{
  "response_action": "clear"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}

How is this guide?